Bug 137470 - Fix temporary URL in additionsdialog
Summary: Fix temporary URL in additionsdialog
Status: ASSIGNED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: high normal
Assignee: Christian Lohmaier
URL:
Whiteboard: target:7.2.0 target:7.1.3
Keywords:
: 137461 (view as bug list)
Depends on:
Blocks: Extension-Tight-Integration 137759
  Show dependency treegraph
 
Reported: 2020-10-14 08:00 UTC by Heiko Tietze
Modified: 2021-05-29 13:26 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Scraper script for the current daily-updated pseudo-API (8.87 KB, text/x-python)
2021-03-13 17:00 UTC, Muhammet Kara
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2020-10-14 08:00:40 UTC
For example, using "icons" (patch from bug 137447) lists some but not all icon themes. In particular Yaru is missing for me.
Comment 1 Heiko Tietze 2020-10-14 09:13:19 UTC
*** Bug 137461 has been marked as a duplicate of this bug. ***
Comment 2 Heiko Tietze 2020-10-14 09:15:36 UTC
Issue is

    //FIXME: Temporary URL
    OString sPrefixURL = "https://yusufketen.com/api/";

accessing hard-coded URL prefix from the wrong site.
Comment 3 Heiko Tietze 2020-11-28 08:10:19 UTC
Supposed to be solved for 7.1 => high importance
Comment 4 Xisco Faulí 2020-12-03 11:03:45 UTC
(In reply to Heiko Tietze from comment #3)
> Supposed to be solved for 7.1 => high importance

the question is, who is going to fix it ? is yusuf still around? if not, anyone from the UX team ?
Comment 5 Heiko Tietze 2020-12-03 11:13:55 UTC
(In reply to Xisco Faulí from comment #4)
> the question is, who is going to fix it ?

Muhammet volunteered if Yusuf has no time.
Comment 6 Muhammet Kara 2020-12-03 12:48:11 UTC
Fine to keep this assigned to me as fail-safe, but yusuf has already prepared a script and reported that it works. It's expected to be deployed later today.
Comment 7 Muhammet Kara 2021-03-13 15:16:12 UTC
Can't remember what we decided then but it should be dynamic (updated daily) now. So safe to close this?
Comment 8 Muhammet Kara 2021-03-13 17:00:19 UTC
Created attachment 170457 [details]
Scraper script for the current daily-updated pseudo-API
Comment 9 Muhammet Kara 2021-03-13 17:03:47 UTC
It might be good if infra (cloph?) could adapt this script (see lines 93 and 215 particularly) and place it somewhere under the extensions website, or, even better, inspect this and adapt the API on extensions to fit the needs. Then it would a one-line commit to change the URL to somewhere official/permanent.
Comment 10 Xisco Faulí 2021-03-15 09:23:33 UTC
(In reply to Muhammet Kara from comment #9)
> It might be good if infra (cloph?) could adapt this script (see lines 93 and
> 215 particularly) and place it somewhere under the extensions website, or,
> even better, inspect this and adapt the API on extensions to fit the needs.
> Then it would a one-line commit to change the URL to somewhere
> official/permanent.

Hi Muhammet,
Could you please fill a redmine ticket, so the infra team is aware of it ?
Comment 11 Christian Lohmaier 2021-03-15 10:20:26 UTC
(In reply to Muhammet Kara from comment #9)
> […] inspect this and adapt the API on extensions to fit the needs.

You have no idea how much this remark triggers me. I repeated countless times that the API (which didn't exist before and was created for this project) and be anything Yusuf needs. I asked him to specify the API. Which he only did half-heartedly. So I filled in missing blanks and created the current api, assuming that he would actually use it to test his implementation against.

I only told him repeatedly to add some error handling in case of server not responding, or the server not responding with a json file or the json file having additional tags.
Comment 12 Heiko Tietze 2021-03-15 10:24:44 UTC
At least, the code still points to Yussuf's address. => back to NEW

As Cloph pointed out, there are some missing features. But it's the second-best solution anyway since changes are not immediately available - even when the script would be triggered frequently.
Comment 13 Christian Lohmaier 2021-04-26 16:46:09 UTC
grabbing to change the URL to a non-random-external-site one.
Won't fix that it is not using API, and also no commitment to update the json files used for this workaround-like situation in future.
Comment 14 Commit Notification 2021-04-27 19:59:14 UTC
Christian Lohmaier committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/452fcbe0792aa10042bb8cd2cfd6cd29ca754be5

tdf#137470 use a more proper URL for the extensions

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2021-04-28 09:54:24 UTC
Christian Lohmaier committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/e5b8477a1270a8b572b3815cfb318110eb19d0f2

tdf#137470 use a more proper URL for the extensions

It will be available in 7.1.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2021-04-28 09:57:40 UTC
Christian Lohmaier committed a patch related to this issue.
It has been pushed to "libreoffice-7-1-3":

https://git.libreoffice.org/core/commit/1095de0ae2476a7c3c8d478c360a3d3c7148a245

tdf#137470 use a more proper URL for the extensions

It will be available in 7.1.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Muhammet Kara 2021-05-29 13:26:25 UTC
(In reply to Christian Lohmaier from comment #11)
> (In reply to Muhammet Kara from comment #9)
> > […] inspect this and adapt the API on extensions to fit the needs.
> 
> You have no idea how much this remark triggers me. I repeated countless
> times that the API (which didn't exist before and was created for this
> project) and be anything Yusuf needs. I asked him to specify the API. Which
> he only did half-heartedly. So I filled in missing blanks and created the
> current api, assuming that he would actually use it to test his
> implementation against.
> 
> I only told him repeatedly to add some error handling in case of server not
> responding, or the server not responding with a json file or the json file
> having additional tags.

I'm sorry to hear that. If the project didn't end as planned/expected, we all have our parts in it, IMHO. Let's not turn to blaming. The API was not ready until near the end of the GSoC period (July 20th by looking at the redmine ticket), and the project had to move on, that's why Yusuf had to prepare that temp/totally-non-ideal workaround. Though, I wish he updated it to work with the actual API after that, and also did some maintenance to make it shine.

On my part, maybe I should had made sure you had room for that task before dumping it on you. I know you have a lot in your plate as the infra team, sorry. I even thought about volunteering to create the API myself, but didn't want to be nosing into your job. (Next time, I'll just offer, and let you decide.)

(In reply to Christian Lohmaier from comment #13)
> grabbing to change the URL to a non-random-external-site one.
> Won't fix that it is not using API, and also no commitment to update the
> json files used for this workaround-like situation in future.

Thanks a lot for picking this up again! Please feel free to let me know when you are done with this bug report (change of URL to tdf domain), then I'll look into the dialog to see if I can (even if slowly) adapt and make it work with the actual API so that you (along with everyone else) can enjoy seeing the fruit of your hard work in action in the next release. :)